O.halia-4_opt.jpg=Ophrys halia.\
Main site on the mountain site north of Mesanagros.                                                 .
O.-halia-2_opt.jpg=Ophrys halia.\
These are endemic to Rhodes.                                                                                     .\

O.halia-3_opt.jpg=Ophrys halia.\
A very rare orchid found only on Rhodes.                                                                        .
O.-halia_opt.jpg=Ophrys halia.\
Name is the nymph Halia, mistress of Poseidon, mother of Rhodes.\
\
\

